#!/usr/bin/perl -w

use strict;
use warnings;
use Carp;

use WebService::Browshot;

my $browshot = WebService::Browshot->new(
	key	=> 'my_api_key',
	debug	=> 0, # no more debug information
);


my $screenshot = $browshot->screenshot_create(url => 'http://mobilio.net/', instance_id => 12); 
sleep 60;

if ($screenshot->{status} eq 'error') {
	print "Screenshot failed: ", $screenshot->{error}, "\n";
	exit(0);
}

# Share this screenshot
$screenshot = $browshot->screenshot_info(id => $screenshot->{id});
if ($screenshot->{status} eq 'finished') { 
	# share a screenshot (must be in finished state)
	my $share = $browshot->screenshot_share(id => $screenshot->{id}, note => 'Browshot is great!');
	if ($share->{status} eq 'ok') {
		print "Screenshot shared at ", $share->{url}, "\n";
	}
	else {
		print "Sharing failed: ", $share->{error}, "\n";
	}
}